Assignments Assignments

Functions | Variables
poly34 Namespace Reference

## Functions
double | _root3 (double x)
double | root3 (double x)
int | SolveP2 (double *x, double a, double b)
int | SolveP3 (double *x, double a, double b, double c)
void | CSqrt (double x, double y, double &a, double &b)
int | SolveP4Bi (double *x, double b, double d)
void | SWAP (double &a, double &b)
void | dblSort3 (double &a, double &b, double &c)
int | SolveP4De (double *x, double b, double c, double d)
double | N4Step (double x, double a, double b, double c, double d)
int | SolveP4 (double *x, double a, double b, double c, double d)
double | F5 (double t, double a, double b, double c, double d, double e)
double | SolveP5_1 (double a, double b, double c, double d, double e)
int | SolveP5 (double *x, double a, double b, double c, double d, double e)

## Variables
const double | TwoPi = 6.28318530717958648
const double | eps = 1e-14

## Function Documentation

## ◆ _root3()

double poly34::_root3 | ( | double | x | ) |

## ◆ CSqrt()

void poly34::CSqrt | ( | double | x,
|  | double | y,
|  | double & | a,
|  | double & | b )

## ◆ dblSort3()

void poly34::dblSort3 | ( | double & | a,
|  | double & | b,
|  | double & | c )

## ◆ F5()

double poly34::F5 | ( | double | t,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e )

## ◆ N4Step()

double poly34::N4Step | ( | double | x,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )

## ◆ root3()

double poly34::root3 | ( | double | x | ) |

## ◆ SolveP2()

int poly34::SolveP2 | ( | double * | x,
|  | double | a,
|  | double | b )

## ◆ SolveP3()

int poly34::SolveP3 | ( | double * | x,
|  | double | a,
|  | double | b,
|  | double | c )

## ◆ SolveP4()

int poly34::SolveP4 | ( | double * | x,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )

## ◆ SolveP4Bi()

int poly34::SolveP4Bi | ( | double * | x,
|  | double | b,
|  | double | d )

## ◆ SolveP4De()

int poly34::SolveP4De | ( | double * | x,
|  | double | b,
|  | double | c,
|  | double | d )

## ◆ SolveP5()

int poly34::SolveP5 | ( | double * | x,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e )

## ◆ SolveP5_1()

double poly34::SolveP5_1 | ( | double | a,
|  | double | b,
|  | double | c,
|  | double | d,
|  | double | e )

## ◆ SWAP()

void poly34::SWAP | ( | double & | a,
|  | double & | b )

## Variable Documentation

## ◆ eps

const double poly34::eps = 1e-14

## ◆ TwoPi

const double poly34::TwoPi = 6.28318530717958648